package jp.gihyo.mitoma.android.p011login;

import androidx.appcompat.app.AppCompatActivity;

import android.graphics.Color;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;

public class LoginActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        //自画面の生成
        setContentView(R.layout.login);
        //ボタンへのイベントリスナーの登録
        Button button = findViewById(R.id.btLogin);
        button.setOnClickListener(new LoginListener());
    }

    private class LoginListener implements View.OnClickListener {
        public void onClick(View view) {
            //ウィジェットの参照変数の獲得
            EditText etId =findViewById(R.id.etId);
            EditText etPw =findViewById(R.id.etPw);
            //ウィジェットから入力データの取り出し
            String id = etId.getText().toString();
            String pw = etPw.getText().toString();
            //パスワードのチェック
            TextView tvResult =findViewById(R.id.tvResult);
            if(pw.equals("xyz001")){
                tvResult.setTextColor(Color.BLACK);
                tvResult.setText(R.string.srcLoginSuccess);
            }else{
                tvResult.setTextColor(Color.RED);
                tvResult.setText(R.string.srcLoginFailure);
            }
        }
    }
}